[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.WriteBool

Write boolean value

## Declaration

Source position: inifiles.pp line 136

`public procedure TCustomIniFile.WriteBool(`
`const Section: String;`
`const Ident: String;`
`Value: Boolean`
`); virtual;`

## Arguments

`Section` |  | Section to write key value to
`Ident` |  | Key name with which to write value
`Value` |  | Boolean value to write

## Description

WriteBool writes the boolean Value with the name Ident to the section Section, overwriting any previous value that may exist there. The section will be created if it does not exist.

## See also

ReadBool |  |
WriteInteger |  | Write an integer value
WriteString |  | Write a string value
WriteDate |  | Write date value
WriteDateTime |  | Write date/time value
WriteTime |  | Write time value
WriteFloat |  | Write a floating-point value
WriteBinaryStream |  | Write binary data

The latest version of this document can be found at lazarus-ccr.sourceforge.net.